From 23eb302b3bd96fe6ea07788a648c2434f68b293d Mon Sep 17 00:00:00 2001
From: Sinisa Veseli <sveseli@aps.anl.gov>
Date: Mon, 6 Mar 2017 13:53:38 +0000
Subject: [PATCH] adding 6idd scripts

---
 bin/6IDD/dm-6idd-daq    | 18 ++++++++++++++++++
 bin/6IDD/dm-6idd-upload | 18 ++++++++++++++++++
 2 files changed, 36 insertions(+)
 create mode 100755 bin/6IDD/dm-6idd-daq
 create mode 100755 bin/6IDD/dm-6idd-upload

diff --git a/bin/6IDD/dm-6idd-daq b/bin/6IDD/dm-6idd-daq
new file mode 100755
index 00000000..daed1d22
--- /dev/null
+++ b/bin/6IDD/dm-6idd-daq
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Run command
+
+if [ -z $DM_ROOT_DIR ]; then
+    cd `dirname $0` && myDir=`pwd`
+    setupFile=$myDir/../../setup.sh
+    if [ ! -f $setupFile ]; then
+        echo "Cannot find setup file: $setupFile"
+        exit 1
+    fi
+    source $setupFile > /dev/null
+fi
+source $DM_ROOT_DIR/bin/dm_command_setup.sh
+
+eval "$DM_ROOT_DIR/src/python/dm/aps_beamline_tools/cli/daqCli.py $DM_COMMAND_ARGS"
+
+
diff --git a/bin/6IDD/dm-6idd-upload b/bin/6IDD/dm-6idd-upload
new file mode 100755
index 00000000..9f753a81
--- /dev/null
+++ b/bin/6IDD/dm-6idd-upload
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Run command
+
+if [ -z $DM_ROOT_DIR ]; then
+    cd `dirname $0` && myDir=`pwd`
+    setupFile=$myDir/../../setup.sh
+    if [ ! -f $setupFile ]; then
+        echo "Cannot find setup file: $setupFile"
+        exit 1
+    fi
+    source $setupFile > /dev/null
+fi
+source $DM_ROOT_DIR/bin/dm_command_setup.sh
+
+eval "$DM_ROOT_DIR/src/python/dm/aps_beamline_tools/cli/uploadCli.py $DM_COMMAND_ARGS"
+
+
-- 
GitLab